#cs(module common mzscheme
(require (lib "myenv.ss" "ssax"))
;; For PLT Schemes v.2xx
(define (command-line)
  (cons "plt" (vector->list (current-command-line-arguments)
		)))
; Fast filter for proper lists
(define (filter pred lis)			
     (let rpt ((l lis))		
       (if (null? l) 
	 '()
	 (if (pred (car l))
	   (cons (car l) (rpt (cdr l)))
	   (rpt (cdr l))))))

(define (call-with-err-handler thunk err-handler)
  (with-handlers
   ((not-break-exn? 
     (lambda (exn)
       (err-handler (exn-message exn)))
     ))
    (thunk)
    ))

(provide (all-defined)))
